const filtrar = (limite, mensaje) => {
    if(mensaje.length <= limite){
        return mensaje;
    }else {
        filtrado = mensaje.substring(0, limite);
        return filtrado;
    }
}
function eliminarMensaje(id) {
    swal({
        title: "Are you sure?",
        text: "Once deleted, you will not be able to recover this imaginary file!",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Mensaje Eliminado!", {
            icon: "success",
          });    
            var url = "/eliminar-mensaje/"+id;
            $.ajax({                         
            url: url,                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.assign('../mensajes')
                },2000);
            }
         });
        } else {
          swal("cancelado!");
        }
      });

}
function showmensaje(id) {
    window.location = "showmensaje/"+id;
}
$('#iconoEliminarMensaje').click(function (e) { 
    var $this = $(this);
    swal({
        title: "Eliminar Mensaje?",
        text: "Al ejecutar esta accion no podra revertir los datos?",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {
          swal("Mensaje Eliminado!", {
            icon: "success",
          });    
            $.ajax({                         
            url: $this.attr('url'),                      
            success: function(data)             
            {
                setTimeout(function(){
                    location.assign($this.attr('url2'))
                },2000);
            }
         });
        }
      });
    
  });
$(document).ready(function () {
    console.log($('.fecha').text());
    $('.fecha').text(fecha($('.fecha').text()))
    console.log(fecha($('#fecha').text()));
});
  function fecha(fechaOb) {
      var fecha = new Date(fechaOb);
      var Mes= fecha.getMonth();
      var Dia= fecha.getDate();
      var Ano= fecha.getFullYear();
      var Listames = ['Enero','Febrero','Marzo','Abrir','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'];
      return (Dia+"-"+Listames[Mes]+"-"+Ano);
  }